petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMAddField

Add the discretization object for the given DM field

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMAddField(DM dm, DMLabel label, PetscObject field)

Logically collective on dm

### Input Parameters

| dm | - The DM
| label | - The label indicating the support of the field, or NULL for the entire mesh
| field | - The discretization object

### See Also

DMSetField(), DMGetField()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages